PDA

View Full Version : Suse 12 PPC 32 bit package



Tecnopol
04-Nov-2015, 17:04
To install one application on my Suse 12 PPC i need following package in 32 bit version :
glibc
libgcc
glib2
libstdc++
zlib

In the Yast package manager i find only the 64 bit version, default installed, but the software productor says are needed the 32 bit version and i must get.

Where i get the 32 bit version of package?

I am a linux beginner, this is my first software installation on linux.

Thanks.

ab
04-Nov-2015, 20:51
I know that with x86_64 the nature of the architecture is
backwards-compatible with x86_32; is that the case also with ppc64? I ask
because IA64 (Itanium) was not that way, and I've never heard about the
PowerPC side of things.

When your software says it needs 32-bit versions, does that mean ppc32 or
was it less clear than that? I ask this because most software with which
I have any dealing specifies bittedness but assumes x86 as the
architecture. Since I do not know your background, or the software in
question, or much else, I"m trying to work past any incorrect assumptions
I may be making.


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

Tecnopol
05-Nov-2015, 10:51
The hardware is IBM iseries.
The software is a not known outside Italy.

If non exist the ppc32 package required, for Suse 12 ppc, the software productor need to solve the problem.
But i need confirmation of inexistence of ppc32 package required, for Suse 12 ppc, to request at the software productor to solve the problem.

You confirm the inexistence, for Suse 12 ppc, the ppc32 package for glibc, libgcc, glib2, libstdc++ and zlib?

Sorry for my bad english.

smflood
05-Nov-2015, 11:56
To install one application on my Suse 12 PPC i need following package in 32 bit version :
glibc
libgcc
glib2
libstdc++
zlib

In the Yast package manager i find only the 64 bit version, default installed, but the software productor says are needed the 32 bit version and i must get.

Where i get the 32 bit version of package?

I am a linux beginner, this is my first software installation on linux.

Thanks.

Please note that this forum is for issues specifically relating to the SUSE Customer Center and not for technical support in general. Please repost your issue in the relevant SLES Forum @ https://forums.suse.com/forumdisplay.php?8-SUSE-Linux-Enterprise-Server

HTH.

kgroneman
19-Nov-2015, 19:48
Moving this post to SLED Applications. NNTP users be aware that NNTP follow ups to this thread will result in a broken thread. Leaving a thread pointer behind for one week.